/*
   a simple example for an AWTNode tree
   Copyright (C) 1997  Martin Vogt

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation.

   For more information look at the file COPYRIGHT in this package

*/


import java.awt.*;
import java.lang.*;
import de.unikl.awtnode.*;


/**
 * This is a very simple example for the use of the AWTNode
 * class. The only Components wich are used are simple
 * Java-Component such as Buttons, Labels
 */


public class example1 extends Frame {


  AWTNode root;


  public example1(String name) {
    super(name);

    AWTNode tmp;

    // we want to create a root which has a pmCheckbox in front of it.
    // and we use a Button-Component as the "description"
    // for the AWTNode
    root=new AWTNode(new Button("Hello Im the root node"));

    // Now insert a simple Component
    root.insert(new Button("Im a simple Button Component"));

    // Now a new "node"
    tmp=new AWTNode(new Button("Im a sub-tree"));
    // and we insert a few Components to the new node
    tmp.insert(new Label("Hello, label 1"));
    tmp.insert(new Button("Hello, Button 2"));
    tmp.insert(new Label("Hello, label 3"));

    // insert new node to root node
    root.insert(tmp);

    // At the "end" we put an empty AWTNode
    // now with a label as description
    root.insert(new AWTNode(new Label("Hello Im an empty node")));



    // add root to frame
    add(root);

  }

 public static void main(String args[]) {
    example1 ex1=new example1("example1 - AWTNode with simple Components");
    ex1.setSize(600,400);
    ex1.setVisible(true);
 }

}
