
/*
   ImageServer loads images
   Copyright (C) 1997  Martin Vogt

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation.                                       

   For more information look at the file COPYRIGHT in this package

*/




import java.awt.*;
import java.util.*;
import java.io.*;



/**
 * Die Idee hinter dieser Klasse, ist, das der Imageserver sich darum
 * kuemmert, das zu einem gegebenen Namen ein Image zurueckgeliert
 * wird.

 * zukuenfitige Erweiterungen:

 * Der Imageserver speichert dabei den Namen mit dem das Image
 * spezifiziert war und den Zeiger auf dieses Image.
 * So muss das Image nicht immer von der Platte geladen werden,
 * es befindet sich noch im Speicher.
 * Auch wird kein neuer Speicher angelegt, wenn man das gleiche
 * Image nochmal anfordert.
 *
 * Es wird nur eine einfach Serverform implmentiert.
 * zukuenftige Erweiterungen sollten Images wieder freigeben
 * (dynamische garbagecollection) oder ein Relod erlauben,
 * falls ein Image sich geaendert hat.
 *
 * Der Server wird durch seinen IconSuch Pfad konfiguriert.

 */




public class ImageServer {


  public static String iconPath="";

  /**
   * This return you an Image or null if the image cannot be found
   * The image is completly loaded befor the Function returns
   *
   * @param path sets the directory path
   * @param name sets the name of the Image-file
   * @param comp the Component which control the image download
   * @returns the Image or null if File Not Found
   */
  static Image getImage(String name,Component comp) {

    File file=new File(iconPath,name);
    return getImage(file,comp);
  }



 /**
   * @returns the Image or null if File Not Found
   */
  static Image getImage(File file, Component comp) {
    Image image;

    if (file.exists()) {
      image=Toolkit.getDefaultToolkit().getImage(file.getPath());
      return (load(image,comp));
    } else {
      System.out.println("File:"+ file.getAbsolutePath()+" not found!");
    }
    return null;
  }

    /**
     * This method completly loads the Image in memory, then returns the
     * loaded image
     *
     * @param image the image to load
     * @param comp the Component which control the image download
     * @returns the fully loaded image
     */

    static Image load(Image image, Component comp) {
      MediaTracker tracker;

      tracker  =  new  MediaTracker(comp);
      tracker.addImage(image,  0);
      try  {
	tracker.waitForID(0);
      }  catch  (InterruptedException  e)  {
    	System.err.println("Error tracking image in ImageServer:load");
	    System.err.println("exception:"+ e.getMessage());
      }
      return image;
    }

}

