/*
   ImageTextMark is a Conatainer which holds an images and a text
   Copyright (C) 1997  Martin Vogt

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation.                                       

   For more information look at the file COPYRIGHT in this package

*/





import java.awt.*;
import java.awt.event.*;
import ImageComponent;
import TextMarkComponent;

/**
 * A component that displays
 * a line of Text, and an image. The image is displayed LEFT of the Component
 *
 * The TextComponent can be focussed. Only the Label gets a hilight Focus.
 *
 */





public class ImageTextMark extends Panel
                            implements ItemListener {

  ImageComponent image;
  TextMarkComponent label;

  /**
   *Constructs an Empty Image an an Empty Text
   */
    public ImageTextMark() {
	this("","");
    }

    /**
     * Constructs a new label with the specified String of text.
     * And the image, specified with the image path (or URL)
     * @param labelText the text that makes up the label
     * @param path the path to the image
     */
    public ImageTextMark (String labelText,String URL) {
      image=new ImageComponent(URL);
      label=new TextMarkComponent(labelText);
      label.addItemListener(this);
      setLayout(new FlowLayout(FlowLayout.CENTER,0,0));
      add(image);
      add(label);
    }


  /**
   * we implement the Standard behavior if a TextMarkComponent is
   * clicked
   */
  public void itemStateChanged(ItemEvent e) {
    if (e.getStateChange() == ItemEvent.SELECTED) {
        label.setMark(true);
    } else {
        label.setMark(false);
    }
  }





}

