/*
   a simple example for an AWTNode tree
   Copyright (C) 1997  Martin Vogt

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation.

   For more information look at the file COPYRIGHT in this package

*/



import de.unikl.awtnode.*;

import java.awt.*;
import java.lang.*;

/**
 * An example with new Components
 * Make sure that the Icon-Path is set correclty!
 */

public class example2 extends Frame {

  // Note:
  // a valid iconPath under windows must quote
  // each backslash
  // eg: "C:\\java\\packages\\awtnode-0.1\\examples\\icons"

  static String iconPath="C:\\sp\\java\\prog\\awtnode-0.1\\examples\\icons";

  AWTNode root;


  public example2(String name) {
    super(name);

    AWTNode arbeitsplatz;
    AWTNode floppy;
    AWTNode platte;
    AWTNode dos;
    AWTNode netzum;


    // initialize ImageServer with corret icon-path
    ImageServer.iconPath=iconPath;


    // we want to create a root which has a pmCheckbox in front of it.
    // the root has the name "Desktop"
    root=new AWTNode(new ImageTextMark("Desktop","desk.gif"));


    arbeitsplatz=new AWTNode(new ImageTextMark("Arbeitsplatz","term.gif"));
    floppy=new AWTNode(new ImageTextMark("3,5 Diskette (A:)","floppy.gif"));
    dos=new AWTNode(new ImageTextMark("Dos","folder.gif"));




    arbeitsplatz.insert(floppy);
    arbeitsplatz.insert(dos);

    root.insert(arbeitsplatz);


    root.insert(new AWTNode(new ImageTextMark("Systemsteuerung","foldersys.gif")));
    root.insert(new AWTNode(new ImageTextMark("Drucker","folderprinter.gif")));
    root.insert(new AWTNode(new ImageTextMark("DFU-Netzwerk","folderdfu.gif")));



    root.insert(new AWTNode(new ImageTextMark("Netzwerkumgebung","termnet.gif")));
    root.insert(new AWTNode(new ImageTextMark("Papierkorb","recycled.gif")));

    add(root);


  }

 public static void main(String args[]) {
    example2 ex2=new example2("example2 - AWTNode with new Components");
    ex2.setSize(600,400);
    ex2.setVisible(true);
 }


}
