
/*
   Directory implements a simple directory-tree-view
   Copyright (C) 1997  Martin Vogt

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation.

   For more information look at the file COPYRIGHT in this package

*/







import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import de.unikl.awtnode.*;


/**
 * Eine Component die ein aktuelles Directory als AWT Component
 * beschreibt
 */



public class Directory  extends AWTNode
                        implements ActionListener{

  FileComponent file;            // our "key"



  private static final String base = "directory";
  private static int nameCounter = 0;


  Directory(FileComponent file) {
    super(file);
    this.file=file;
    setRescan(true);             // for the "first" fill
    setName(base + nameCounter++);
    addActionListener(this);
  }

  /**
   * Constructs a new AWTDirectory-Node out of the given path-String
   * (useful for the first initializing of the "root"-node
   */

  /*
   * Note:
   *  under windows directory("C:\\") produces errors. It seems to me
   *  that I cannot get the root-Directory. directory("C:\\win95")
   *  works
   */
  Directory (String path) {
    File tmpFile;
    tmpFile=new File(path);
    this.file=(new FileComponent(tmpFile,false));
    setKey(file);
    setRescan(true);             // only for the "first" open
    setName(base + nameCounter++);
    addActionListener(this);
  }




  /**
   * Rescans the Directory and inserts the sons to this Directory Node
   */
  public void Rescan() {
    int i;
    String fileNames[];
    String path;

    fileNames=file.getFile().list();
    path=file.getFile().getPath();
    removeAllSons();
    System.out.println("please wait...loading directory");
    for(i=0;i<fileNames.length;i++) {
      File fileitem=new File(path,fileNames[i]);
      if (fileitem.isDirectory()) {
    	insert(new Directory(new FileComponent(fileitem,false)));
      } else {
	    insert(new FileComponent(fileitem,false));
      }
    }
    setRescan(false);   // we do not anymore a rescan if we re-opened
  }

    /**
     * Invoked when an action occurs.
     */
    public void actionPerformed(ActionEvent e) {
        System.out.println("in :"+getName());
        file.actionPerformed(e);
    }





}



